use actix_multipart::Multipart;
use actix_web::{post, web, Error, HttpResponse};

use handlebars::Handlebars;
use serde_json::to_string_pretty;

use crate::render_error;
use crate::WotLog;

#[post("/submit")]
pub async fn post(
	payload: Multipart,
	hb: web::Data<Handlebars<'_>>,
) -> Result<HttpResponse, Error> {
	let mut wotlog = render_error!(hb, WotLog::from_payload(payload).await);

	render_error!(hb, wotlog.parse_log());
	render_error!(hb, wotlog.save());

	let body = render_error!(hb, to_string_pretty(&wotlog.json));

	Ok(HttpResponse::Ok().body(body))
}
